
function setchk(obj) {

    var l = $(".chked").length;
    if ($(obj).hasClass("chked")) {
        l = l - 1;
    }
    else {
        l = l + 1;
    }


    if (l > MAX) {
        alert("您最多只能选择"+MAX+"票");
        return;
    }


    if ($(obj).hasClass("chked")) {
        $(obj).removeClass("chked");
        $(obj).attr("src", "../style0/vote1.gif");
        cnt();
    }
    else {
        $(obj).addClass("chked");
        $(obj).attr("src", "../style0/chked.jpg");
        cnt();
    }

}


function cnt() {
    var ids = "";
    var _c = 0;
    $(".chked").each(
        function () {
            var id = $(this).attr("data-id");
            _c += 1;
            ids += id + ";";
        }

        );
    //$("#txt_ids").val("");
    $("#txt_ids").val(ids);
    $("#txt_tip").html("您最多选择" + MAX + "票，已经选择" + _c + "票");
    $("#txt_tip2").html("您最多选择" + MAX + "票，已经选择" + _c + "票");
}